import BrowserEgl from 'assets/icons/visu/onboarding/browser_egl.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React from 'react'
import './stepDetail.scss'

const EpglDoYouHaveAccount = () => {
  const { t } = useI18n()

  return (
    <div className="step-detail-info">
      <StyledIcon className="info-icon" icon={BrowserEgl} size={150} />
      <div className="info-content text-18-normal">
        <div
          className="info-content-text"
          dangerouslySetInnerHTML={{
            __html: t('auth.eglgrandlyon.step1.info1'),
          }}
        />
        <div
          className="info-content-text"
          dangerouslySetInnerHTML={{
            __html: t('auth.eglgrandlyon.step1.info2'),
          }}
        />
      </div>
    </div>
  )
}

export default EpglDoYouHaveAccount
