require('babel-polyfill')
require('jest-canvas-mock')

import '@testing-library/jest-dom'
import mockClient from 'tests/__mocks__/client.mock'

jest.mock('cozy-ui/transpiled/react/I18n', () => ({
  useI18n: jest.fn(() => ({
    t: (key: string) => key,
  })),
}))

jest.mock('cozy-client', () => ({
  ...jest.requireActual('cozy-client'),
  useClient: () => mockClient,
}))

jest.mock('react-router-dom', () => ({
  ...jest.requireActual('react-router-dom'),
  useNavigate: () => jest.fn(),
}))
